=== debian/control ===
Source: freeipa
Section: net
Priority: extra
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 389-ds-base-dev (>= 1.3.3.8),
 check,
 debhelper (>= 9),
 dh-autoreconf,
 dh-python,
 dh-systemd,
 gettext,
 krb5-user,
 libcmocka-dev,
 libcurl4-nss-dev,
 libkrad-dev,
 libkrb5-dev (>= 1.12),
 libldap2-dev,
 libnspr4-dev,
 libnss3-dev,
 libpopt-dev,
 librhino-java,
 libsasl2-dev,
 libsofthsm2-dev,
 libssl-dev,
 libsss-idmap-dev,
 libsss-nss-idmap-dev (>= 1.12.3),
 libsvrcore-dev,
 libtalloc-dev,
 libtevent-dev,
 libunistring-dev,
 libverto-dev,
 libxmlrpc-core-c3-dev (>= 1.33.06),
 python-all-dev,
 python-dnspython (>= 1.11.1),
 python-kerberos,
 python-krbv,
 python-ldap (>= 2.4.15),
 python-lesscpy,
 python-libipa-hbac,
 python-lxml,
 python-memcache,
 python-netaddr,
 python-nose,
 python-nss (>= 0.16.0),
 python-openssl,
 python-polib,
 python-pyasn1,
 python-qrcode (>= 5.0.0),
 python-setuptools,
 python-sss (>= 1.12.3),
 python-usb (>= 1.0.0~b2),
 python-yubico,
 rhino,
 samba-dev,
 systemd,
 uuid-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-freeipa/freeipa.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-freeipa/freeipa.git
Homepage: http://www.freeipa.org

Package: freeipa-server
Architecture: any
Depends:
 389-ds-base (>= 1.3.3.8),
 acl,
 apache2,
 bind9,
 bind9-dyndb-ldap (>= 6.0-4~),
 certmonger (>= 0.76.8),
 fonts-font-awesome,
 freeipa-admintools (= ${binary:Version}),
 freeipa-client (= ${binary:Version}),
 krb5-admin-server,
 krb5-kdc,
 krb5-kdc-ldap,
 krb5-pkinit,
 ldap-utils,
 libapache2-mod-auth-kerb (>= 5.4-2.2~),
 libapache2-mod-nss (>= 1.0.10-2~),
 libapache2-mod-wsgi,
 libjs-dojo-core,
 libjs-jquery,
 libnss3-tools,
 libsasl2-modules-gssapi-mit,
 memcached,
 ntp,
 pki-ca (>= 10.2.1),
 python-dateutil,
 python-freeipa (= ${binary:Version}),
 python-krbv,
 python-ldap (>= 2.4.15),
 python-pyasn1,
 slapi-nis (>= 0.54.2),
 softhsm2,
 systemd-sysv,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: FreeIPA centralized identity framework -- server
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This is the server package.

Package: freeipa-server-trust-ad
Architecture: any
Depends:
 freeipa-server (= ${binary:Version}),
 python-libsss-nss-idmap,
 python-m2crypto,
 python-samba,
 samba,
 winbind,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: FreeIPA centralized identity framework -- AD trust installer
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 Cross-realm trusts with Active Directory in IPA require working Samba 4
 installation. This package is provided for convenience to install all required
 dependencies at once.

Package: freeipa-client
Architecture: any
Depends:
 bind9utils,
 certmonger (>= 0.76.8),
 dnsutils,
 krb5-user,
 libcurl3 (>= 7.22.0),
 libnss3-tools,
 libsasl2-modules-gssapi-mit,
 libxmlrpc-core-c3 (>= 1.16.33-3.1ubuntu5),
 ntp,
 python-dnspython,
 python-freeipa (= ${binary:Version}),
 python-krbv,
 python-ldap,
 sssd (>= 1.12.3),
 wget,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests: libpam-krb5
Description: FreeIPA centralized identity framework -- client
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This is the client package.

Package: freeipa-admintools
Architecture: any
Depends:
 freeipa-client (= ${binary:Version}),
 python-freeipa (= ${binary:Version}),
 python-krbv,
 python-ldap,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: FreeIPA centralized identity framework -- admintools
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This package contains some tools for administrators.

Package: freeipa-tests
Architecture: any
Depends:
 freeipa-client (= ${binary:Version}),
 libnss3-tools,
 python-coverage,
 python-freeipa (= ${binary:Version}),
 python-nose,
 python-paramiko,
 python-paste,
 python-polib,
 xz-utils,
 ${misc:Depends},
 ${python:Depends}
Recommends: python-yaml
Description: FreeIPA centralized identity framework -- tests
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This package contains tests that verify IPA functionality.

Package: python-freeipa
Architecture: any
Section: python
Depends:
 gnupg2,
 gnupg-agent,
 iproute,
 keyutils,
 python-dbus,
 python-dnspython,
 python-kerberos,
 python-krbv,
 python-ldap,
 python-libipa-hbac,
 python-lxml,
 python-memcache,
 python-netaddr,
 python-nss (>= 0.16.0),
 python-openssl,
 python-pyasn1,
 python-qrcode (>= 5.0.0),
 python-usb (>= 1.0.0~b2),
 python-yubico,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: FreeIPA centralized identity framework -- Python modules
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This Python module is used by other FreeIPA packages.
